// sample8 フォルダー内に存在するアニメーションプリセットファイルを新規レイヤーに順に適用する
var actComp = app.project.activeItem;
if (actComp != null) {
  if (actComp instanceof CompItem) {
    var presetFolder = new Folder(Folder.desktop.fullName).selectDlg("Select .ffx Folder");
    if (presetFolder != null) {
      var presetFiles = presetFolder.getFiles(new RegExp(".ffx", "gi"));
      var addedLayer;
      for (var i = 0; i < presetFiles.length; i++) {
        addedLayer = actComp.layers.addSolid([1, 1, 1], decodeURIComponent(presetFiles[i].name), actComp.width, actComp.height, actComp.pixelAspect);
        addedLayer.applyPreset(presetFiles[i]);
      }
    }
  }
}